﻿using SushiBarDataModels.Models;
using System.ComponentModel;

namespace SushiBarContracts.ViewModels
{
    public class StoreViewModel : IStoreModel
    {
        public Dictionary<int, (ISushiModel, int)> Sushis { get; set; } = new();
        public int Id { get; set; }

        [DisplayName("Name store")]
        public string StoreName { get; set; } = string.Empty;
        [DisplayName("Adress store")]
        public string StoreAdress { get; set; } = string.Empty;
        [DisplayName("Date opening")]
        public DateTime OpeningDate { get; set; } = DateTime.Now;
    }
}
